Need Help?

Browser and Java Support:
Please use Internet Explorer (IE) version 8, 9, or 10 to access your courses. IE version 11 is currently not recommended.
Java Runtime Environment (JRE) version 7 Update 45 is the recommended version for features that depend on it.

You can run a browser check to ensure your PC is properly configured for using the Learning System.

If you're having trouble accessing courses or course pages and links are not working properly, please click here to configure your browser. 

Missing Courses?
If you believe there are courses missing from your transcript, please complete this form: Missing Courses in Transcript Form

 

If you continue to have problems, please call us 205-996-4444 or email us at This email address is being protected from spambots. You need JavaScript enabled to view it. . If you email us, include a phone number where we can call you. This phone should be near your computer so that someone can assist you.